package codechicken.enderstorage.internal;

import net.minecraft.entity.player.EntityPlayer;
import net.minecraft.entity.player.EntityPlayerMP;
import net.minecraft.network.NetServerHandler;
import codechicken.core.packet.PacketCustom;
import codechicken.core.packet.PacketCustom.IServerPacketHandler;
import codechicken.enderstorage.storage.liquid.TankSynchroniser;

public class EnderStorageSPH implements IServerPacketHandler
{
    public static final String channel = "ES";

    @Override
    public void handlePacket(PacketCustom packet, NetServerHandler nethandler, EntityPlayerMP sender)
    {
        switch(packet.getType())
        {
            case 1:
                TankSynchroniser.handleVisiblityPacket(sender, packet);
            break;
        }
    }

    public static void sendOpenUpdateTo(EntityPlayer player, String owner, int freq, boolean open)
    {
        PacketCustom packet = new PacketCustom(channel, 3);
        packet.writeString(owner);
        packet.writeShort(freq);
        packet.writeBoolean(open);
        
        packet.sendToPlayer(player);
    }
}
